summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorsf-exg <sf-exg>2017-10-13 17:13:48 +0000
committersf-exg <sf-exg>2017-10-13 17:13:48 +0000
commit0343a45a2da7124c86443cea665fcfb82f796f42 (patch)
tree0493e858a70d377d0ac21c111003ea9dacc8c357
parent9985cef43bf4500fb135c03b0295c2abe46936c5 (diff)
autogen.sh: Add check for libptytty directory
Patch by Petr Vorel.
-rwxr-xr-xautogen.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..6a646c4
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,30 @@
+#! /bin/sh
+
+if ! [ -e libev/ev++.h ]; then
+ cat <<EOF
+**
+** libev/ directory is missing
+**
+** you need a checkout of libev (http://software.schmorp.de/pkg/libev.html)
+** in the top-level build directory.
+**
+EOF
+ exit 1
+fi
+
+if ! [ -e libptytty/ptytty.m4 ]; then
+ cat <<EOF
+**
+** libptytty/ directory is missing
+**
+** you need a checkout of libptytty (http://software.schmorp.de/pkg/libptytty.html)
+** in the top-level build directory.
+**
+EOF
+ exit 1
+fi
+
+if autoheader && autoconf; then
+ rm -rf autom4te.cache
+ echo "Now run ./configure"
+fi